summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--tests/twisted/run-test.sh.in19
1 files changed, 17 insertions, 2 deletions
diff --git a/tests/twisted/run-test.sh.in b/tests/twisted/run-test.sh.in
index 6a4cc0f..6e8d576 100644
--- a/tests/twisted/run-test.sh.in
+++ b/tests/twisted/run-test.sh.in
@@ -15,11 +15,26 @@ else
list=$(cat @gabbletestsdir@/twisted/gabble-twisted-tests.list)
fi
-for i in $list ; do
- echo "Testing $i"
+any_failed=0
+for i in $list ; do
+ echo "Testing $i ..."
sh @gabbletestsdir@/twisted/tools/with-session-bus.sh \
--config-file=@gabbletestsdir@/twisted/tools/servicedir/tmp-session-bus.conf \
-- \
@PYTHON@ @gabbletestsdir@/twisted/$i
+ e=$?
+ case "$e" in
+ (0)
+ echo "PASS: $i"
+ ;;
+ (77)
+ echo "SKIP: $i"
+ ;;
+ (*)
+ any_failed=1
+ echo "FAIL: $i ($e)"
+ ;;
+ esac
done
+exit $any_failed